<?php

namespace App\View\Components;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class DrawerTrigger extends Component
{

    public function __construct(public string $target, public string $action)
    {

    }

    public function render(): View|Closure|string
    {
        return view('components.drawer-trigger');
    }
}
